<div class="alert alert-danger" id="msg-formSDP">
	&{'lelang_doc.nomor_sdp_tgl'}
</div>
<div class="alert alert-danger" id="msg-invalidDateSDP">
	&{'lelang_doc.isian_tgl_sdp_salah'}
</div>


#{form @lelang.DokumenCtr.cetak(id), id:'form-cetak-sdp'}
<table class="table table-sm">
	<tr>
		<th width="80px" class="bg-warning">&{'lelang_doc.no_sdp'} <span class="warning">*</span></th>
		<td width="100px">
			<input name="nomorSDP" type="text" class="form-control" value="${dok_lelang_content?.dll_nomorSDP}"/>
		</td>
	</tr>
	<tr>
		<th width="100" class="bg-warning">&{'lelang_doc.tgl_sdp'} <span class="warning">*</span></th>
		<td>
			<div class="input-group width-normal datepicker">
				<input name="tglSDP" type="text" class="form-control datepicker" value="${dok_lelang_content.dll_tglSDP != null ? dok_lelang_content.dll_tglSDP : today.toDatetimepicker()}"/>
				<div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
			</div>
		</td>
	</tr>
</table>
<a href="javascript:void(0)" class="btn btn-success btn-sm btn-simpan" id="btn-cetak-dokumen" onclick="validateSDP();">
	<i class="fa fa-save"></i> &{'lelang_doc.cetak_doc'}
</a>
#{/form}

<script type="text/javascript">
	$(document).ready(function(){
		$("#msg-formSDP").hide();
		$("#msg-invalidDateSDP").hide();
	});
	function validateSDP(){
		console.log($("#form").serialize());
		var nomorSDP = $("input[name=\"nomorSDP\"]").val();
		var tanggalSDP = $("input[name=\"tglSDP\"]").val();

		if (nomorSDP == null || tanggalSDP == ""){
			$("#msg-formSDP").show();
		} else {
			$("#msg-formSDP").hide();
			$("#msg-invalidDateSDP").hide();
			
			if(isValidDate(tanggalSDP))
				 $("#form-cetak-sdp").submit();
			else
				$("#msg-invalidDateSDP").show();
		}
	}
	
	function isValidDate(dateString)
	{
	    // First check for the pattern
	   // if(!/^\d{1,2}\-\d{1,2}\-\d{4}$/.test(dateString))
	     //   return false;

	    // Parse the date parts to integers
	    var parts = dateString.split(" ")[0].split("-");
	    var day = parseInt(parts[0], 10);
	    var month = parseInt(parts[1], 10);
	    var year = parseInt(parts[2], 10);
		
		
	    // Check the ranges of month and year
	    if(year < 1000 || year > 3000 || month == 0 || month > 12)
	        return false;

	    var monthLength = [ 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 ];

	    // Adjust for leap years
	    if(year % 400 == 0 || (year % 100 != 0 && year % 4 == 0))
	        monthLength[1] = 29;

	    // Check the range of the day
	    return day > 0 && day <= monthLength[month - 1];
	};
</script>
